//
//  MiniDBAppDelegate.m
//  MiniDB
//
//  Created by Holger Hinzberg on 07.09.11.
//  Copyright 2011 Cocoa-Coding. All rights reserved.
//

#import "MiniDBAppDelegate.h"
#import "Person.h"

@implementation MiniDBAppDelegate

@synthesize name;
@synthesize vorname;
@synthesize alter;
@synthesize window;
@synthesize buttonVorherige;
@synthesize buttonNaechste;

NSMutableArray *personenArray;

- (void)awakeFromNib
{ 
    personenArray = [[NSMutableArray alloc] init];
    
    Person *neuePerson;
    
    neuePerson = [[Person alloc] init];
    [neuePerson setName:@"Müller"];
    [neuePerson setVorname:@"Max"];
    [neuePerson setAlter:32];
    [personenArray addObject:neuePerson];
    
    neuePerson = [[Person alloc] init];
    [neuePerson setName:@"Huber"];
    [neuePerson setVorname:@"Hans"];
    [neuePerson setAlter:45];
    [personenArray addObject:neuePerson];
    
    neuePerson = [[Person alloc] init];
    [neuePerson setName:@"Fischer"];
    [neuePerson setVorname:@"Fritz"];
    [neuePerson setAlter:18];
    [personenArray addObject:neuePerson];
    
    indexPosition = 0;
    [self zeigePerson:indexPosition];
}

- (IBAction)klickVorherige:(id)sender
{
    if(indexPosition > 0)
    {
        indexPosition--;
    }
    
    [self zeigePerson:indexPosition];
}

- (IBAction)klickNaechste:(id)sender
{
    int maxPosition = 
       (int)[personenArray count] -1;
    
    if(indexPosition < maxPosition)
    {
        indexPosition++;
    }
    
    [self zeigePerson:indexPosition];
}

- (void)zeigePerson:(int)index
{
    Person *einePerson = [personenArray objectAtIndex:index];
    
    [name setStringValue:[einePerson name]];
    [vorname setStringValue:[einePerson vorname]];
    [alter setIntValue:[einePerson alter]];
    
    [self pruefeButton];
}

- (void)pruefeButton
{
    // Überprüfung Button "Vorherige"
    if(indexPosition == 0)
    {
        [buttonVorherige setEnabled:NO];
    }
    else
    {
        [buttonVorherige setEnabled:YES];
    }
    
    // Überprüfung Button "Nächste"
    if(indexPosition == ((int)[personenArray count] - 1) )
    {
        [buttonNaechste setEnabled:NO];
    }
    else
    {
        [buttonNaechste setEnabled:YES];
    }
}

@end
